<?php

namespace App\Http\ApiV1\Modules\Catalogs\Requests;

use App\Domain\Catalogs\Models\Catalog;
use App\Http\ApiV1\Support\Requests\BaseFormRequest;
use Illuminate\Validation\Rule;

class MultiCatalogRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'code' => ['nullable', 'array'],
            'code.*' => ['string', Rule::exists(Catalog::class, 'code')],
            'id' => ['nullable', 'array'],
            'id.*' => ['integer', Rule::exists(Catalog::class, 'id')],
        ];
    }
}
