<?php

namespace App\Http\ApiV1\Modules\Catalogs\Tests\Factories;

use Ensi\LaravelTestFactories\BaseApiFactory;

class CatalogRequestFactory extends BaseApiFactory
{
    public function definition(): array
    {
        return [
            'name' => $this->faker->word,
            'code' => $this->faker->unique()->regexify('[A-Za-z0-9_-]{30}'),
            'is_active' => $this->faker->boolean(),
        ];
    }

    public function make(array $extra = []): array
    {
        return $this->makeArray($extra);
    }
}
