<?php

namespace App\Domain\Catalogs\Actions;

use App\Domain\Catalogs\Models\Catalog;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class CreateCatalogAction
{
    use AppliesToAggregate;

    public function execute(array $fields): Catalog
    {
        return $this->create($fields);
    }

    protected function createModel(): Model
    {
        return new Catalog();
    }
}
