<?php

namespace App\Domain\Catalogs\Actions;

use App\Domain\Catalogs\Models\Catalog;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class ReplaceCatalogAction
{
    use AppliesToAggregate;

    public function execute(int $catalogId, array $fields): Catalog
    {
        return $this->replace($catalogId, $fields);
    }

    protected function createModel(): Model
    {
        return new Catalog();
    }
}
